package mg.dot.feufaro.solfa

data class TUOEditState(
    val tuoIndex: Int,
    val notesByVoice: Map<Int, String>         = emptyMap(),
    val originalNotes: Map<Int, String>         = emptyMap(),
    val lyricsByStanza: MutableMap<Int, String> = mutableMapOf(),
    val originalLyricsByStanza: MutableMap<Int, String> = mutableMapOf(),
    val templateFragment: String               = "",
    val marker:        String                  = "",
    val silentDuration:     String             = "-1",
    val originalSep:    String                 = " ",
    val sep:    String                         = " "
)